com.holonplatform.vaadin7.components.builders

## Interface InputConfigurator<T,B extends InputConfigurator<T,B>>

- Type Parameters:
    `T` - Value type
    `B` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<B>
  All Known Subinterfaces:
    BaseSelectInputBuilder<T,C,S,ITEM,B>, BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>, BooleanInputBuilder, CalendarInputBuilder<T,B>, DateInputBuilder, InputBuilder<T,C,B>, InputConfigurator.BaseFieldConfigurator<T>, MultiPropertySelectInputBuilder<T>, MultiSelectInputBuilder<T>, NumberInputBuilder<T>, PropertySelectInputBuilder<T,C,S,B>, SecretInputBuilder, SelectInputBuilder<T,C,S,ITEM,B>, SelectItemDataSourceBuilder<T,C,S,ITEM,B>, SinglePropertySelectInputBuilder<T>, SingleSelectInputBuilder<T>, SliderInputBuilder<T>, StringInputBuilder, TemporalInputBuilder<T,B>, TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>, TemporalInputBuilder.TemporalWithTimeFieldBuilder<T>, TextInputBuilder<T,C,B>

      public interface InputConfigurator<T,B extends InputConfigurator<T,B>>
      extends ComponentConfigurator<B>

  Interface to configure a `Input` component.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `InputConfigurator.BaseFieldConfigurator<T>` Base field configurator.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `locale(Locale locale)` Sets the locale of this `Input` component.
    `B` | `readOnly()` Set the input component as read-only.
    `B` | `tabIndex(int tabIndex)` Sets the tabulator index of the component.
    `B` | `withValue(T value)` Sets an initial value for the field.
    `B` | `withValueChangeListener(ValueHolder.ValueChangeListener<T> listener)` Add a `ValueHolder.ValueChangeListener` to be notified when the input value changes.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### readOnly

          B readOnly()

      Set the input component as read-only. The user can not change the value of a read-only input.
      Returns:
        this

    - #### tabIndex

          B tabIndex(int tabIndex)

      Sets the tabulator index of the component. The tab index property is used to specify the order in which the fields are focused when the user presses the Tab key. Components with a defined tab index are focused sequentially first, and then the components with no tab index.

      If the tab index is not set (is set to zero), the default tab order is used. The order is somewhat browser-dependent, but generally follows the HTML structure of the page.

      A negative value means that the component is completely removed from the tabulation order and can not be reached by pressing the Tab key at all.

      Parameters:
        `tabIndex` - The tab order of this component. Indexes usually start from 1. Zero means that default tab order should be used. A negative value means that the field should not be included in the tabbing sequence.
      Returns:
        this

    - #### withValue

          B withValue(T value)

      Sets an initial value for the field.
      Parameters:
        `value` - The value to set
      Returns:
        this

    - #### withValueChangeListener

          B withValueChangeListener(ValueHolder.ValueChangeListener<T> listener)

      Add a `ValueHolder.ValueChangeListener` to be notified when the input value changes.
      Parameters:
        `listener` - The ValueChangeListener to add
      Returns:
        this

    - #### locale

          B locale(Locale locale)

      Sets the locale of this `Input` component.
      Parameters:
        `locale` - The Locale to set
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.